Bug 74 - configure does not detect Heimdal installation
configure does not detect Heimdal installation
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Config Files
3.0.0preX
All Linux
: P2 major
: none
Assigned To: Jim McDonough
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-08 08:44 UTC by Anthony Liguori
Modified: 2005-11-14 09:31 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Anthony Liguori 2003-05-08 08:44:41 UTC
The summary says it all.

I've looked at config.log and there doesn't seem to be anything out of the
ordinary.  Jim McDonough and Luke Howard both have comfirmed this is a problem
so it should be easy to reproduce.

I can provide a config.log if desired.
Comment 1 Jim McDonough 2003-05-08 10:02:47 UTC
Checked Anthony's fix into 3.0
Comment 2 Gerald (Jerry) Carter 2003-05-20 07:53:56 UTC
done
Comment 3 Anthony Liguori 2003-05-27 12:17:00 UTC
Heimdal support is yet again broken.  This time, when compiling I get no such
type errors on libsmb/clikrb5.c:L92 on krb5_encrypt_block.

The function is create_kerberos_key_string wrapped in HAVE_KRB5_PRINCIPAL2SALT,
HAVE_KRB5_USE_ENCTYPE, and HAVE_KRB5_STRING_TO_KEY.

The code hasn't changed in a while so I think one of these defines is probably
wrong for heimdal.  I have the default mit installed for RH9 (in /usr/kerberos)
and Heimdal 0.6.0 installed in /usr/heimdal.  My configure line is:

PATH=/usr/heimdal/bin:$PATH ./configure
Comment 4 Jim McDonough 2003-05-28 05:54:04 UTC
Unless we can find a way to tell the linker to ignore one specific path in the
dynamic link cache, I don't see a way around this.  This problem is a result of
co-habitating MIT and Heimdal systems, with MIT in the linker cache.  Even
still, it's likely that some other library involved (in my case, libssl being
included as a result of cups being included) will require something from the MIT
libs.
Comment 5 Jim McDonough 2003-05-28 06:15:36 UTC
FYI, use LDFLAGS="-static" on the configure statement to get this to work.
Comment 6 Anthony Liguori 2003-06-09 11:00:28 UTC
The KRB5LIBS and ADSLIBS variables in Makefile need to have an -lasn1 appended
to the end if Heimdal is detected.  Otherwise, we get undefined references to
free_CREDS*

This is on RH8.
Comment 7 Jim McDonough 2003-07-21 17:22:33 UTC
I think tpot's latest commit fixes this...can you try it again?
Comment 8 John H Terpstra 2003-07-26 23:22:28 UTC
Fixed. Works fine.
Comment 9 Gerald (Jerry) Carter 2005-02-07 08:39:01 UTC
originally reported against 3.0.0beta1.  CLeaning out 
non-production release versions.
Comment 10 Gerald (Jerry) Carter 2005-08-24 10:19:43 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.
Comment 11 Gerald (Jerry) Carter 2005-11-14 09:31:08 UTC
database cleanup